@import url('https://fonts.googleapis.com/css2?family=Bricolage+Grotesque:opsz,wght@12..96,200..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&family=Tagesschrift&display=swap');

* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
  scroll-behavior: smooth;
}

:root {
  --primary-color: #C9F31D;
  --secondary-color: #2b2b2b;
  --font-color: white;
  --font-icon-color: black;
  --border-color: white;
  --header-gradient: #c8f31d44;
  --text-gradient:  #fff000;
  --backgound-picture: url(../Pictures/map-light.png);
  --call-image: url(../Pictures/call.png);
  --scheme-color: #2b2b2b;
  --dots-image: url(../Pictures/dots\ 1.svg);
  --arrow-image: url(../Pictures/bn-arrow.png);
}
.dark-mode
{
  --primary-color: #C9F31D;
  --secondary-color: white;
  --font-color: #2b2b2b;
  --font-icon-color: black;
  --border-color: #2b2b2b;
  --header-gradient: #2b2b2b48;
  --text-gradient:  #fff000;
  --backgound-picture: url(../Pictures/map.png);
  --call-image: url(../Pictures/call-dark.png);
  --scheme-color: #2b2b2b;
  --dots-image: url(../Pictures/dots\ 2.svg);
  --arrow-image: url(../Pictures/bn-arrow\ 1\ \(1\).png);
}

body {
  background: var(--secondary-color);
  overflow-x: hidden;
}

a {
  text-decoration: none;
  color: var(--font-color);
}

.container {
  position: relative;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}

.navbar {
  width: 100%;
  background-color: var(--secondary-color);
  /* border: 1px solid var(--border-color);
  border-left: 1px;
  border-top: 1px;
  border-right: 1px; */
  margin: 0px;
  padding: 20px 20px 10px 20px;
  list-style: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: sticky;
  top: 0px;
  z-index: 100;
  margin-bottom: 0;

}

.nav-item {
  padding-right: 20px;
  cursor: pointer;
  font-size: 18px;
  padding-right: 35px;
}

.nav-menu {
  display: flex;
  justify-content: center;
  align-items: center;
  list-style: none;
}

.navbar .brand-title {
  font-weight: bold;
  color: var(--font-color);
}
.name {
  color: var(--font-color);
  font-weight: bold;
}
.role{
  color: var(--font-color);
}
.query
{
  color: var(--font-color);
}
.role {
  font-size: 15px;
  color: var(--font-color);
  font-weight: lighter;
}

.navbar .nav-menu {
  display: flex;
  justify-content: center;
  align-items: center;
}

.chat-btn {
  padding: 10px 10px;
  background-color: var(--primary-color);
  color: black;
  font-size: 17.5px;
  border-radius: 5px;
  cursor: pointer;
  display: flex;
  align-items: center;
}

.chat-btn i {
  animation: moving-arrow 2s forwards infinite linear;
}

.favicon {
  background-color: var(--primary-color);
  height: 50px;
  width: 50px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.favicon i {
  font-size: 25px;
}

.logo-section {
  display: flex;
  align-items: center;
}

.straight-line {
  width: 125px;
  height: 2px;
  background-color: var(--font-color);
}



/* --------------------------------------------------- */
.switch {
  font-size: 17px;
  position: relative;
  display: inline-block;
  width: 3.5em;
  height: 2em;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  border: 2px solid var(--border-color);
  --background: linear-gradient(var(--primary-color),);
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  transition: .5s;
  border-radius: 30px;
}

.slider:before {
  position: absolute;
  content: "";
  height: 1.2em;
  width: 1.2em;
  border-radius: 50%;
  left: 15%;
  bottom: 18%;
  box-shadow: inset 8px -4px 0px 0px var(--primary-color);
  background: var(--background);
  transition: .5s;
}

input:checked+.slider {
  background-color: var(--primary-color);
  border-color: var(--secondary-color);
}

input:checked+.slider:before {
  transform: translateX(100%);
  box-shadow: inset 15px -4px 0px 15px var(--secondary-color);
}

.navbar .switch {
  display: flex;
  justify-content: center;
  align-items: center
}

/* ------------------------------------------------------- */
.sidebar {
  position: fixed;
  top: 0;
  right: 0;
  height: 100%;
  width: 400px;
  background-color: var(--secondary-color);
  border: 1px solid var(--border-color);
  border-left: 1px;
  border-top: 1px;
  border-right: 1px;
  transition: all 0.4s ease;
  transform: translateX(100%);
  overflow-x: hidden;
  overflow-y: scroll;
  z-index: 1000;
}

.sidebar-close-icon {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 20px;
  cursor: pointer;
  background: none;
  border: none;
  color: var(--font-color);
}
.sidebar-close-icon:focus
{
  transform: rotate(180deg);
  transition: 0.4s ease;
}

.show-sidebar {
  transform: translateX(-5px);
  transition: all 0.4s ease;
}

.close-sidebar {
  transform: translateX(100%);
  transition: all 0.4s ease;
}

.sidebar .sidebar-content {
  display: flex;
  height: 100%;
  flex-direction: column;
}

.sidebar .sidebar-content .sidebar-menu {
  list-style: none;

  margin: 0;
}

.sidebar .sidebar-content .sidebar-menu .sidebar-item {
  margin: 10px 0;
  font-size: 20px;
  padding-left: 5px;
}

.sidebar .sidebar-content .sidebar-menu .sidebar-item a {
  color: var(--font-color);
}

.contact-information {
  display: flex;
  gap: 10px;
  border-right: 1px;
  border-left: 1px;
  padding: 15px 5px;
  margin-bottom: 30px;
}

.contact-information:hover {
  border: 1px solid var(--primary-color);
  border-left: 1px;
  border-right: 1px;
  transition: 0.8s ease;
}

.Contacts {
  display: flex;
  flex-direction: column;
}

.Contacts label {
  font-weight: 600;
  font-size: 15px;
  color: var(--font-color);
}

.social-media-icons {
  gap: 20px;
  display: flex;
  padding-top: 19px;
}

.social-media-icons li {
  list-style: none;
}

.social-media-icons li i {
  font-size: 35px;
  background-color: var(--primary-color);
  width: 50px;
  height: 50px;
  display: grid;
  place-items: center;
  border-radius: 50%;
  color: var(--font-icon-color);
}

.sidebar-social-media-icon p {
  font-size: 28px;
  color: var(--font-color);
}

.sidebar-social-media-icon {
  padding-left: 10px;
  padding-bottom: 30px;
}

.sidebar .hire-freelance {
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 300;
  font-size: 25px;
  margin-bottom: 20px;
}

.hire-freelance i {
  color: var(--primary-color);
}

.hire-freelance:hover {
  padding-left: 5px;
  color: var(--primary-color);
}

.sidebar .hire-freelance i:hover {
  color: var(--font-color);
}

.main-header {
  background-size: cover;
  background-position: center;
  width: 100%;
  float: left;
  display: grid;
  grid-template-columns: 1.5fr 1fr;
  background: linear-gradient(var(--secondary-color), var(--header-gradient));
  margin-bottom: 20px;
}

.main-header-image {
  float: right;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 50%;
  margin: 50px 30px 30px 30px;
}
.main-header-image img{
  filter: drop-shadow(10px 10px 20px var(--scheme-color));
}
.main-header-content {
  padding: 50px 30px 30px 30px;
}

.main-header-content .redirect-freelance {
  font-size: 28px;
  color: var(--font-color);
  font-weight: 300;
  line-height: 30px;
  letter-spacing: 5px;
  padding: 10px 10px 10px 0;
  margin-top: 30px;
  position: relative;
  z-index: 22;
  display: inline-block;
}

.redirect-freelance a {
  display: inline;
}

.redirect-freelance:hover i,
.redirect-freelance:hover a {
  color: var(--primary-color);
}

.redirect-freelance:hover .straight-lines {
  background-color: var(--primary-color);
}

.redirect-freelance .dots-image {
  background-image: var(--dots-image);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  opacity: 0.3;
  height: 100px;
  top: -40px;
  left: -30px;
  position: absolute;
  width: 100px;
  z-index: -9999;
}

.main-header-content i {
  transform: rotate(45deg);
}

.redirect-freelance:hover i .straight-lines {
  background: var(--primary-color);
}

.main-header-title {
  color: var(--font-color);
  font-weight: 600;
  font-size: 90px;
  flex-wrap: wrap;
  padding-bottom: 30px;
  line-height: 100px;
}

.main-header-title img {
  width: 70px;
  height: 70px;
  transform: rotate(10deg);
  animation: moving-hand 2s infinite;
}

.straight-lines {
  height: 2px;
  width: 170px;
  margin-top: 15px;
  background-color: var(--font-color);
  margin-bottom: 30px;
}

.auther-name {
  font-size: 80px;
}

.main-header-subtitle-content {
  display: flex;
  flex-wrap: wrap;
}

.main-header-subtitle {
  color: var(--font-color);
  font-size: 60px;

}

.changing-text {
  color: var(--font-color);
  font-size: 70px;
  font-weight: bold;
  -webkit-text-stroke: 1px;
  -webkit-text-stroke-color: var(--primary-color);
  padding-bottom: 25px;
  transition: all 0.5s;
  color: transparent;
  position: relative;
  background: linear-gradient(to right, var(--primary-color), var(--text-gradient));
  background-clip: text;
  -webkit-background-clip: text;
}

.marque-slider .marque1,
.marque-slider .marque2 {
  width: 100%;
  display: flex;
  gap: 40px;
  justify-content: center;
  align-items: center;
  font-weight: 600;
}
.marque-slider .marque1 {
  animation: scrollLeft 20s linear infinite;
}
.marque-slider .marque2 {
  animation: scrollRight 20s linear infinite;
}


.marque-slider span p {
  font-size: 30px;
}

.marque-slider marquee {
  padding: 15px;
  background-color: var(--primary-color);
}

.marque-slider i {
  font-size: 30px;
}

.video-play {
  padding-left: 35px;
  display: flex;
  gap: 20px;
}

.video-play button {
  display: flex;
  justify-content: center;
  color: var(--font-color);
  width: 70px;
  height: 70px;
  border-radius: 100%;
  background: transparent;
  transition: all 0.3s ease-in-out 0s;
  box-shadow: rgba(193, 244, 246, 0.698) 0px 0px 0px 0px;
  animation: 1.2s cubic-bezier(0.8, 0, 0, 1) 0s infinite normal none running pulse;
  align-items: center;
  border: 2px solid var(--font-color);

}

.video-play button:hover {
  border-color: var(--primary-color);
  color: var(--primary-color);
}

.video-play button:focus svg {
  transform: scale(1.2);
  transition: 0.5s ease-in-out;
}

.video-play .arrow-image {
  width: 60px;
  height: 65px;
  /* background-position: center; */
  /* background-size: cover; */
  background-repeat: no-repeat;
  background-image: var(--arrow-image);
  animation: rotate 3s infinite;
}

/* .sidebar-social-media-icon p{
  border: 2px solid white;
  border-left: 1px;
  border-bottom: 1px;
  border-right: 1px;
} */
.playnow {
  font-size: 20px;
  color: var(--font-color);
  display: flex;
  justify-content: center;
  
  flex-direction: column;
  text-align: center;
}

.section-heading {
  font-size: 25px;
  color: var(--primary-color);
  font-weight: 600;
  position: relative;
  z-index: 20;
  background: var(--secondary-color);
  padding: 0 10px 0 10px;
}

.section-heading1 {
  font-size: 25px;
  color: var(--primary-color);
  font-weight: 600;
  position: relative;
  z-index: 20;
  background: var(--secondary-color);
  padding: 0 10px 0 10px;
}

.section-strike1 {
  position: absolute;
  width: 350px;
  height: 1px;
  background: var(--primary-color);

}

.about-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.section-heading-container {
  margin-top: 45px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.section-strike {
  z-index: -20;
  position: absolute;
  width: 290px;
  height: 1px;
  background-color: var(--primary-color);
}

.about-content {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 30px;
}

.about-paragraph {
  text-align: center;
  font-size: 30px;
  color: var(--font-color);
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 2px;
  padding: 0 10px 0 10px;
  transition: 0.7s ease-in-out;
}

.about-paragraph span:hover {
  transition: 0.7s ease-in-out;
  font-size: 33px;
  display: inline-block;
  color: var(--primary-color);
}

.my-specializations {
  text-align: center;
  color: var(--font-color);
  font-size: 40px;
  letter-spacing: 2px;
  margin-bottom: 40px;
}

.services-cards-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 40px;
  margin-bottom: 70px;
  width: 100%;
}

.services-card {
  border: 1px solid var(--border-color);
  border-radius: 10px;
  padding: 40px 20px 40px 20px;
  flex-wrap: wrap;
  display: flex;
}

.services-card-image {
  float: left;
}

.services-card-title {
  font-size: 20px;
  font-weight: 500;
  color: var(--font-color);
}

.services-card-paragraph {
  width: 300px;
  color: var(--font-color);
  padding-top: 10px;
  font-size: 18px;
}

.services-card-content {
  padding-left: 20px;
}

.line {
  margin-top: 30px;
  margin-bottom: 30px;
  height: 1px;
  width: 300px;
  background-color: var(--font-color);
}

.services-card-link-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.services-card-link {
  color: var(--primary-color);
  font-weight: 400;
  font-size: 20px;
  transition: 0.5s ease-in-out;
}

.services-card:hover .services-card-link {
  color: var(--font-color);
  transition: 0.5s ease-in-out;
}

.services-card-link-container i {
  font-size: 27px;
  transform: rotate(40deg);
  color: var(--font-color);
  transition: 0.5s ease-in-out;
}


.services-card:hover .services-card-link-container i {
  color: var(--primary-color);
  transition: 0.5s ease-in-out;
  font-size: 27px;
  cursor: pointer;
  transition: 0.5s ease-in-out;
  transform: translate(5px, -5px) rotate(40deg);
}

.hire-me-card h1 {
  color: var(--font-color);
  font-size: 70px;
}

.hire-me-card {
  cursor: pointer;
  border-radius: 10px;
  padding: 40px 20px 40px 20px;
  text-align: center;
  margin: 20px;
  transition: 0.5s ease-in-out;
  position: relative;
  border: 1px solid var(--border-color);
}

.hire-me-card:hover {
  background-color: var(--primary-color);
  color: black;
  transition: 0.5s ease-in-out;
}

.hire-me-card:hover {
  transform: scale(1.1);
  transition: 0.5s ease-in-out;
}

.hire-me-card:hover h1 {
  color: black;
  transition: 0.5s ease-in-out;
}

.hire-me-card:hover a i {
  color: black;
  transition: 0.5s ease-in-out;
  transform:translate(5px, -5px) rotate(45deg);
}

.hire-me-card a {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.hire-me-card a i {
  font-size: 40px;
  transform: rotate(45deg);
  color: var(--font-color);
  transition: 0.5s ease-in-out;
}

::-webkit-scrollbar-thumb {
  border-radius: 10px;
  width: 70px;
  background: var(--primary-color);
}

::-webkit-scrollbar-track {
  background: var(--secondary-color);
  width: 20px;
}

::-webkit-scrollbar {
  width: 5px;
}

.projects-cards-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 40px;
  margin-bottom: 70px;
  width: 100%;
}

.projects-card h3 {
  padding-top: 10px;
  color: var(--primary-color);
  font-size: 22px;
  letter-spacing: 2px;
  font-weight: 500;
}

.projects-card h1 {
  padding-top: 10px;
  color: var(--font-color);
  font-size: 40px;
  letter-spacing: 3px;
}

.projects-card-popup {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10%;
  width: 60px;
  height: 60px;
  background-color: var(--primary-color);
}

.projects-card-content {
  display: flex;
  justify-content: space-between;
  align-items: center;

}

.projects-card-popup i {
  font-size: 25px;
  transform: rotate(45deg);
  color: var(--font-icon-color);
}

.projects-card:hover .projects-card-popup {
  background-color: var(--font-color);
  transition: 0.5s ease-in-out;
}

.projects-card:hover .projects-card-popup i {
  color: var(--primary-color);
  transition: 0.5s ease-in-out;
}

.projects-card:hover img {
  border-radius: 20px;
  transition: 0.5s ease-in-out;
}

.projects-card {
  cursor: pointer;
  clear: both;
}

.projects-card img {
  position: relative;
  transition: 0.5s ease-in-out;
}

.round-click-more-work {
  width: 200px;
  height: 200px;
  border: 1px solid var(--primary-color);
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 0.5s ease-in-out;
  cursor: pointer;
  border-radius: 50%;
  background: var(--primary-color);
  position: relative;
  flex-direction: column;
  font-size: 20px;
}

.outer-round {
  position: absolute;
  width: 200px;
  height: 200px;
  border-radius: 50%;
  border: 1px solid var(--primary-color);
  display: flex;
  top: -20px;
  left: -10px;
  justify-content: center;
  align-items: center;
  transition: 0.5s ease-in-out;
  cursor: pointer;
}

.round-click-more-work-container {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 70px;
}

.outer-round:hover {
  top: 20px;
  left: 10px;
  transition: 0.5s ease-in-out;
}

.round-click-more-work:hover {
  transition: 0.5s ease-in-out;
}

.about-buttons {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 50px;
  margin-top: 40px;
  margin-bottom: 40px;
  flex-wrap: wrap;
}

.about-buttons button {
  padding: 10px 35px 10px 35px;
  cursor: pointer;
  border-radius: 20px;
  transition: 0.5s ease-in-out;
  font-size: 19px;
  font-weight: 400;
  background-color: var(--primary-color);
}

.about-buttons button:hover {
  background-color: var(--primary-color);
  color: black;
}

.click-about {
  display: flex;
  margin: 0 65px 0 65px;
  /* display: flex;
  justify-content: center;
  align-items: center; */
  width: 80%;
   
}

.auther-about-image img {
  margin-right: 30px;
  border-radius: 50%;
  border: 1px solid var(--primary-color);
  animation: box-shadow 3s infinite;
}
@keyframes box-shadow {
  0%,100% { box-shadow: 0px 0px 50px 1px var(--primary-color); } 
  14% { box-shadow: 0px 0px 20px 1px var(--primary-color); } 
  28% { box-shadow: 0px 0px 50px 1px var(--primary-color); } 
  42% { box-shadow: 0px 0px 25px 1px var(--primary-color); } 
  56% { box-shadow: 0px 0px 45px 1px var(--primary-color); } 
  70% { box-shadow: 0px 0px 49px 1px var(--primary-color); } 
  84% { box-shadow: 0px 0px 50px 1px var(--primary-color); } 
}

.auther-about-content {
  color: var(--font-color);
  display: flex;
  flex-direction: column;
  position: relative;
}

.auther-about-content p {
  padding-top: 10px;
  font-size: 20px;
  font-weight: 500;
  word-spacing: 2px;
  padding-bottom: 10px;                     
}

.auther-about-cards {
  display: flex;
  flex-wrap: wrap;
  padding-top: 20px;
}

.auther-about-card-info {
  margin-right: 10px;
  margin-bottom: 20px;
  padding: 20px;
  cursor: pointer;
  flex-direction: column;
  display: flex;
  align-items: flex-start;
  gap: 15px;
  
  border-radius: 10px;
  background: var(--secondary-color);
  border: 2px solid var(--primary-color);
}

.auther-about-card-info label {
  font-size: 19px;
  color: var(--font-color);
  font-weight: 500;
}

.auther-about-card-info a {
  font-size: 17px;
  color: var(--font-color);
}

.social-icons i {
  font-size: 28px;
  color: var(--font-color);
}


/* ---------------------------------------------------------------- */
.timeline-arrow
{
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  color: var(--primary-color);
  font-size: 25px;
  cursor: pointer;
  animation: moving-arrow-top 2s forwards infinite linear;
}
.timeline-section {
  /* overflow: hidden; */
  height: 300px;
  margin-top: 30px;
  overflow-y: scroll;
  scroll-behavior: smooth;
}
.timeline-section::-webkit-scrollbar{
  display: none;
}

.timeline-section h1 {
  font-size: 28px;
  color: #333;
  display: flex;
  align-items: center;
}

.timeline {
  margin-left: 20px;
  padding-left: 40px;
  border-left: 3px solid var(--primary-color);
  position: relative;
}

.timeline-item {
  margin-bottom: 40px;
  position: relative;
}

.timeline-item::before {
  content: "";
  position: absolute;
  left: -55px;
  top: 10px;
  width: 20px;
  height: 20px;
  background: #fff;
  border: 3px solid var(--primary-color);
  border-radius: 50%;
}

.timeline-content {
  background: transparent;
  border: 2px solid var(--primary-color);
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1);
}

.timeline-content img.logo {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  object-fit: cover;
  margin-bottom: 5px;
  border: 2px solid var(--primary-color);
}

.timeline-content h3 {
  margin: 5px 0;
  font-size: 20px;
  color: var(--font-color);
}
.timeline-content h3 a:hover{
  color: var(--primary-color);
}

.timeline-content span {
  display: block;
  font-size: 14px;
  color: var(--primary-color);
  font-weight: bold;
  margin-bottom: 5px;
}

.timeline-content .duration {
  font-weight: bold;
  color: var(--font-color);
}

.timeline-content p {
  font-size: 17px;
  color: var(--font-color);
}
.auther-about-content-heading
{
  gap: 10px;
  display: flex;
  align-items: center;
}
.auther-about-content-heading i{
  color: var(--primary-color);
  font-size: 26px;
}

.outer-circle {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.inner-circle {
  width: 60px;
  height: 60px;
  background: rgb(255, 255, 255, 0.6);
  backdrop-filter: blur(10px);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.inner-circle i {
  font-size: 45px;
  display: inline;
 }
.inner-circle img {
  width: 45px;
  height: 45px;
  border-radius: 50%;
  display: inline;
 }
 .inner-circle:hover img,
 .inner-circle:hover i
 {
  opacity: 0px;
  visibility: hidden;
  display: none;
 }
 .skills-cards-container{
  margin-top: 10px;
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  flex-direction: column;
 }
 .skills-card
 {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: transparent;
  color: var(--font-color);
  cursor: pointer;
  gap: 15px;
 }
.skills-card p{
  font-weight: 600;
  font-size: 18px;
  display: none;
  transition: transform 3s ease;
}
.inner-circle:hover p
{
  display: inline;
  transition: 3s ease;
}
.skills-card h3{
  font-size: 15px;
  font-weight: 300;
}
 .skills-line
 {
  width: 100%;
  height: 2px;
  background-color: var(--primary-color);
 }
 .merge-skills
 {
  display: flex;
  gap: 10px;
 }
 .card-skills
 {
  color: var(--primary-color);
 }
.skills-card-container
{
  height: 280px;
  overflow: hidden;
  overflow-y: scroll;
}
.skills-card-container::-webkit-scrollbar
{
  display: none;
}
.working-process-container
{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.working-process-card
{
  position: relative;
  margin: 10px;
  display: flex;
  flex-direction: column;
  gap: 15px;
  background: transparent;
  border: 2px solid var(--primary-color);
  padding: 25px 35px 25px 35px;
  border-radius: 10px;
  color: var(--font-color);
  box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1);
  overflow: hidden;
}
.working-process-card h1
{
  font-size: 29px;
}
.working-process-card ul{
  padding-left: 20px;
}
.working-process-card p{
  width: 300px;
}
.working-process-card li::marker
{
  color: var(--primary-color);
  font-size: 20px;
}
.working-process-card-circle{
  position: absolute;
  bottom: 0;
  right: 0;
  width: 70px;
  height: 70px;
  border-radius: 50%;
  background-color: var(--primary-color);
  transform: translate(90%, 90%);
  transition: 1s ease;
}
.working-process-card:hover .working-process-card-circle{
  transform: translate(30%, 30%);
  transition: 1s ease;
}
.contact-section
{
  padding: 20px 0 20px 0;
  display: flex;
  gap: 150px;
  flex-wrap: wrap;
}
.contact-container
{
  display: flex;
  justify-content: center;
  margin: 80px 0 -18px 0;
  background: var(--backgound-picture);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  border-radius: 10px;
  box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1);
  display: flex;
}
.contact-section-1 h1{
  font-size: 50px;
  text-transform: capitalize;
  background: linear-gradient(to right, var(--primary-color), #fff000) ;
  color: transparent;
  background-clip: text;
  -webkit-background-clip: text;
}
.whatsapp-redirect
{
  margin-top: 10px;
  display: flex;
  align-items: center;
}
.whatsapp-redirect .call-image{
  width: 60px;
  height: 60px;
  background-image: var(--call-image);
  background-position: center;
  background-size: cover;
}

.whatsapp-redirect a{
  font-size: 18px;
  font-weight: 500;
}
.my-conatact-info
{
  margin-top: 20px;
}
.my-conatact-info h3{
  font-size: 25px;
  color: var(--primary-color);
  font-weight: 500;
}
.my-conatact-info p{
  color: var(--font-color);
  font-size:18px;
}
footer{
  margin-top: 19px;
  font-size: 18px;
  color: var(--primary-color);
}
.contact-section-2
{
  color: var(--font-color);
}
.contact-section-2 form input,
.contact-section-2 form textarea
{
  border-color: var(--font-color);
  padding-bottom: 20px;
  background-color: transparent;
  /* margin: 15px 0 15px 0; */
  padding: 20px 0 20px 0;
  border: 2px solid var(--font-color);
  border-top: 2px;
  border-left:2px;
  border-right:2px;
  color: var(--font-color);
  font-size: 16px;
}
.contact-section-2 form input:focus,
.contact-section-2 form textarea:focus
{
  border: 2px solid var(--font-color);
  border-top: 2px;
  border-left: 2px;
  border-right: 2px;
  outline: none;


}
.combine-email-phone
{
  display: flex;
  align-items: center;
  gap: 20px;
  flex-wrap: wrap;
}
.contact-section-2 form
{
  display: flex;  
  flex-direction: column;
  gap: 40px;
}

.contact-section-2 form input::placeholder, 
.contact-section-2 form textarea::placeholder
{
  color: var(--font-color);
  font-size: 16px;
}
.contact-section-2 form button{
  padding: 10px;
  border-radius: 10px;
  font-size: 16px;
  background-color: var(--primary-color);
  color: var(--font-icon-color);
  border: 2px solid var(--primary-color);
  transition: 0.5s ease;
}
.submit-button button
{
  justify-content: center;
  align-items: center;
  gap: 5px;
  display: flex;
}
.submit-button button:hover i{
  transform: translate(5px, -5px);
  transition: 0.5s ease;
}
.submit-button button:hover{
  gap: 10px;
  transition: 0.5s ease;
}
.submit-button button i{
  transition: 0.5s ease;
}
.about-header-button
{
  margin-top: 30px;
  display: flex;
  gap: 40px;
  flex-wrap: wrap;
  background-color: var(--primary-color);
  padding:15px;
  border-radius: 10px;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: -30px;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  z-index: 1;
  display: none;
}
.about-header-button .btn{
  background-color: transparent;
  border: none;
  font-size:20px;
}
.mobile-bottom-navbar
{
  position: sticky;
  border: 1px solid var(--border-color);
  bottom: 0px;
  padding: 10px;
  z-index: 1000;
  border-bottom: 1px;
  border-left: 1px;
  border-right: 1px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--secondary-color);
  border-radius: 10px;
  border-bottom-right-radius:0px ;
  border-bottom-left-radius:0px ;
  opacity: 0;
  visibility : hidden;
  display: none;
}
.navbar-bottom-container ul{
  display: flex;
  gap: 18px;
  text-decoration: none;
  list-style: none;
  color: var(--font-color);
  color: var(--font-color);
}
.navbar-bottom-container li{
  display: flex;
  list-style: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.navbar-bottom-container li i
{
  font-size:17px ;
  color: var(--primary-color);
}
.navbar-bottom-container li a{
  font-size: 16px;
  font-weight: 200;
}
.certificates-container
{
  display: flex;
}
.certificates
{
  display: flex;
  margin: 10px 0 10px 0;
  gap: 25px;
  flex-wrap: wrap;
  justify-content: center;
}
.certificates img{
  box-shadow: 0 0px 20px 5px var(--primary-color);
  transition: 0.5s ease;
  cursor: zoom-in;
}
.certificates img:hover{
  transform: scale(1.1);
  transition: 0.5s ease;
}
.nav-menu a:nth-child(1):hover,
.nav-menu a:nth-child(2):hover,
.nav-menu a:nth-child(3):hover,
.nav-menu a:nth-child(4):hover,
.nav-menu a:nth-child(5):hover
{
  transition: 0.3s ease ;
  color: var(--primary-color);
}
.navbar-bottom-container ul a:nth-child(1):hover,
.navbar-bottom-container ul a:nth-child(2):hover,
.navbar-bottom-container ul a:nth-child(3):hover,
.navbar-bottom-container ul a:nth-child(4):hover,
.navbar-bottom-container ul a:nth-child(5):hover
{
  transition: 0.3s ease ;
  color: var(--primary-color);
}
.modal-container{
  background: transparent;
  border-radius: 20px;
  width: 750px;
  height: 450px;
  text-align: center;
  display: grid;
  place-items: center;
  position: relative;
  z-index: 100000;
}
.close-btn{
  position: absolute;
  top: 0rem;
  right: 1rem;
  font-size: 20px;
  background: transparent;
  border-color: transparent;
  color: var(--primary-color);
  cursor: pointer;
  transition: 0.5s ease;
}
.close-btn:hover{
  color: var(--font-color);
  transform: scale(1.2);
}
.modal-overlay{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(1, 1, 2, 0.75);
  display: none;
  place-items:center;
  transition: 0.5s ease;
  z-index: 2000;
} 
.open-model
{
  display: grid;
  place-items: center;
}
.scrollOnTop
{
  position: fixed;
  bottom: 15px;
  height: 50px;
  width: 50px;
  border-radius: 50%;
  background-color: var(--primary-color);
  right: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  border: 1px solid black;
  animation: scrollOnatop 3s inherit ;
  color: var(--secondary-color);
}
.allCertificate{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(1, 1, 2, 0.75);
  z-index: 2000;
  display: none;
}
.crousel{
  display: flex;
  /* gap: 10px; */
  background-color: transparent;
  width: 500px;
  height: 400px;
  overflow-x: scroll;
  /* scroll-behavior: smooth; */
  scroll-snap-type: x mandatory;
  anchor-name: --crousel;
}
.crousel::-webkit-scrollbar{
  display: none;
}
.crousel::scroll-button(left),
.crousel::scroll-button(right){
  content: "<";
  color: white;
  font-size: 60px;
  background: transparent;
  border: none;
  position: fixed;
  position-anchor: --crousel;
  position-area: left center;
  translate:-100%;
  transition: transform 0.3s ease, background 0.3s ease;
  transform: scale(1);
}
.crousel::scroll-button(right){
  content: ">";
  position-area: right center;
  translate:100%;
}
.crousel::scroll-button(left):hover,
.crousel::scroll-button(right):hover{
  transform: scale(1.2);
}
.crousel::scroll-button(left):disabled,
.crousel::scroll-button(right):disabled
{
  cursor: not-allowed;
  opacity: 0.5;
}
.crousel img{
  scroll-snap-align: start;
  width: 500px;
  height: 400px;
}
.openCertificatecrousel{
  display: flex;
  justify-content: center;
  align-items: center;
}
.crousel-close-btn{
  position: absolute;
  top: 0rem;
  right: 1rem;
  font-size: 20px;
  background: transparent;
  border-color: transparent;
  color: var(--primary-color);
  cursor: pointer;
  transition: 0.5s ease;
}
.redirect-whatsapp{
  z-index: 100;
  position: fixed;
  top: auto;
  bottom: 60px;
  right: 10px;
  background-color: var(--primary-color);
  border-radius: 50%;
  width: 60px;
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 36px;
}
/* .input[type="text"]{
  font-size: 20px;
} */